<?php

include 'load.php';

if(isset($_GET['dmid'])){
	$dmid=mysqli_real_escape_string($conn,$_GET['dmid']);
	$view_qury=mysqli_query($conn,"SELECT * FROM mobiledailymeters WHERE dmid='$dmid'");
	$view_result=mysqli_fetch_array($view_qury);
}

else{
	echo "<script>window.location='dailymeterslist.php';</script>";
}

	if(isset($_POST['update'])){

			$employee = $_POST['employee'];
			$mileages = $_POST['mileages'];
			$type = $_POST['type'];
			$status = $_POST['status'];
			$addby = $_SESSION['emid'];
			
			$imgFile = $_FILES['user_image']['name'];
			$tmp_dir = $_FILES['user_image']['tmp_name'];
			$imgSize = $_FILES['user_image']['size'];
		
			if($imgFile)

			{

			$upload_dir = 'images/dailymeters/'; // upload directory	

			$imgExt = strtolower(pathinfo($imgFile,PATHINFO_EXTENSION)); // get imtype extension

			$valid_extensions = array('jpeg', 'jpg', 'png', 'gif' ,'docx' , 'pdf' , 'video' , 'mp3'); // valid extensions

			$userpic = rand(1,1000000).".".$imgExt;

			if(in_array($imgExt, $valid_extensions))

			{			

			if($imgSize < 5000000)

			{

			unlink($upload_dir.$view_result['image']);

			move_uploaded_file($tmp_dir,$upload_dir.$userpic);

			}
				
			else

			{

			$errMSG = "Sorry, your file is too large it investould be less then 5MB";

			}

			}

			else

			{

			$errMSG = "Sorry, only JPG, JPEG, PNG & GIF files are allowed.";		

			}	

			}

			else

			{

			// if no imtype selected the old imtype remain as it is.

			$userpic = $view_result['image']; // old imtype from database

			}

			if(!isset($errMSG)){
			
			$stmt = $DB_con->prepare('UPDATE mobiledailymeters
			SET employee=:employee,
			mileages=:mileages,
			type=:type,
			image=:upic,
			status=:status,
			addby=:addby
			WHERE dmid=:dmid');
			$stmt->bindParam(':employee',$employee);
			$stmt->bindParam(':mileages',$mileages);
			$stmt->bindParam(':type',$type);
			$stmt->bindParam(':upic',$userpic);
			$stmt->bindParam(':status',$status);
			$stmt->bindParam(':addby',$addby);
			$stmt->bindParam(':dmid',$dmid);
			
			if($stmt->execute()){
		  
			$successMSG = "Daily Meters Successfully Updated ...";
				
			header("refresh:2;dailymeterslist.php"); // redirects imtype view ptype after 5 seconds.
				
			}else{
				
			$errMSG = "Sorry Data Could Not Updated !";
				
			}
		
    }

}
	
?>


<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=0">
<meta name="description" content="POS - Eat More Resturant   | Pos & Invetory System | Dashboard

">
<meta name="keywords" content="Eat More Resturant   | Pos & Invetory System | Dashboard

">
<meta name="author" content="Eat More Resturant   | Pos & Invetory System | Dashboard

">
<meta name="robots" content="noindex, nofollow">

<title>Edit Daily Meters | Eat More Resturant   | Pos & Invetory System | Dashboard

</title>

<?php
require_once 'headercss.php';
?>

</head>
<body>
<div id="global-loader">
<div class="whirly-loader"> </div>
</div>

<div class="main-wrapper">
<?php
require_once 'header.php';
?>

<?php
require_once 'navbar.php';
?>

<div class="page-wrapper">
<div class="content">
<div class="page-header">
<div class="page-title">
<h4>Edit Daily Meters</h4>
<h6>Update your Daily Meters</h6>
</div>
</div>

<div class="card">
<div class="card-body">
<form method="POST" enctype="multipart/form-data">
									<?php

									if(isset($errMSG)){

									?>
									
									<div class="alert alert-danger border-0 bg-danger alert-dismissible fade show py-2">
									<div class="d-flex align-items-center">
										<div class="font-35 text-white"><i class="bx bxs-messege-square-x"></i>
										</div>
										<div class="ms-3">
											<h6 class="mb-0 text-white">Error Alerts</h6>
											<div class="text-white"> <?php echo $errMSG; ?>!</div>
										</div>
									</div>
									<button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
									</div>
									
									<?php

									}
	
									else if(isset($successMSG)){

									?>
									
									<div class="alert alert-success border-0 bg-success alert-dismissible fade show py-2">
									<div class="d-flex align-items-center">
										<div class="font-35 text-white"><i class="bx bxs-check-circle"></i>
										</div>
										<div class="ms-3">
											<h6 class="mb-0 text-white">Success Alerts</h6>
											<div class="text-white"><?php echo $successMSG; ?>!</div>
										</div>
									</div>
									<button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
									</div>
									
									<?php

									}

									?>	
<div class="row">
<div class="col-lg-6 col-sm-6 col-12">
<div class="form-group">
<label>Employee</label>
<select name="employee" class="select" id="inputemployee">
										<option value="<?php

												$id = $view_result['employee']; 

												$query = $DB_con->prepare('SELECT emid FROM mobileemployee WHERE emid='.$id);

												$query->execute();

												$result = $query->fetch();

												echo $result['emid'];

												?>"><?php

												$id = $view_result['employee'];  

												$query = $DB_con->prepare('SELECT emname,emphonenumber FROM mobileemployee WHERE emid='.$id);

												$query->execute();

												$result = $query->fetch();

												echo $result['emname']."".$result['emphonenumber'];

												?></option>
												<?php

												$stmt = $DB_con->prepare("SELECT * FROM mobileemployee where emid='".$_SESSION['emid']."' ORDER BY emid");

												$stmt->execute();

												if($stmt->rowCount() > 0)

												{

												while($row=$stmt->fetch(PDO::FETCH_ASSOC))

												{

												extract($row);

												?>
												<option value="<?php echo $row['emid']; ?>"><?php echo $row['emname']; ?> - <?php echo $row['emphonenumber']; ?></option>
												<?php 
												} 
												}
												?>
</select>					 
</div>
</div>
<div class="col-lg-3 col-sm-6 col-12">
<div class="form-group">
<label>Mileages</label>
<input type="text" name="mileages" class="form-control" id="inputmileages" value="<?php echo $view_result['mileages']; ?>" placeholder="Enter Mileages">
</div>
</div>
<div class="col-lg-3 col-sm-6 col-12">
<div class="form-group">
<label>Type</label>
<select class="form-control" name="type" required>
<option value="Start"<?php if($view_result['type']=="Start"){echo "selected";} ?>>Start</option>
<option value="End"<?php if($view_result['type']=="End"){echo "selected";} ?>>End</option>
</select>
</div>
</div>
<div class="col-lg-3 col-sm-6 col-12">
<div class="form-group">
<label>Status</label>
<select class="form-control" name="status" required>
<option value="1"<?php if($view_result['status']=="1"){echo "selected";} ?>>Active</option>
<option value="0"<?php if($view_result['status']=="0"){echo "selected";} ?>>Deactive</option>
</select>
</div>
</div>
<div class="col-lg-12 col-sm-12 col-12">
<div class="form-group">
<label>Meter Photo</label>
<label for="user_image"><img src="images/dailymeters/<?php echo $edit_row['image']; ?>" id="yourImgTag" class="pro_pick" style="width:200px;height:200px;"></label>
<input type="file" name="user_image" id="user_image" hidden="yes" onChange="dis_name();">
<script>
function dis_name(){
var input = document.getElementById("user_image");
var fReader = new FileReader();
fReader.readAsDataURL(input.files[0]);
fReader.onloadend = function(event){
var img = document.getElementById("yourImgTag");
img.src = event.target.result;
}
}
</script>
</div>
<div class="col-lg-12 col-sm-12 col-12">
<a href="dailymeterslist.php" class="btn btn-cancel">Cancel</a>
<button type="submit" name="update" class="btn btn-submit me-2">Update</button>
</div>
</div>
</form>
</div>
</div>

</div>
</div>
</div>


<script src="assets/js/jquery-3.6.0.min.js"></script>

<script src="assets/js/feather.min.js"></script>

<script src="assets/js/jquery.slimscroll.min.js"></script>

<script src="assets/js/jquery.dataTables.min.js"></script>
<script src="assets/js/dataTables.bootstrap4.min.js"></script>

<script src="assets/js/bootstrap.bundle.min.js"></script>

<script src="assets/plugins/select2/js/select2.min.js"></script>

<script src="assets/plugins/sweetalert/sweetalert2.all.min.js"></script>
<script src="assets/plugins/sweetalert/sweetalerts.min.js"></script>

<script src="assets/js/script.js"></script>
</body>
</html>